Subject: Re: [PATCH] clean up extern decl of functions

From: Junio C Hamano <[email-masked]>
Date: Thu, 08 Oct 2020 19:47:36 -0700

Denton Liu <[email-masked]> writes:

> Hi Junio,
>
> On Thu, Oct 08, 2020 at 08:27:55AM -0700, Junio C Hamano wrote:
>> Among external function declarations, somehow only these two
>> functions that return pointer-to-function were declared with
>> "extern" in front.
>> 
>> Ideally, we should standardise to _have_ explicit "extern" in front
>> for all function (and data) decls, but let's make things uniform
>> first.  Bulk re-addition of extern can be done without any extra
>> difficulty with or without this change.
>
> Why are we re-introducing an explicit "extern"? Since function decls are
> extern by default, what do we gain by doing this?
>
> You mentioned in the past[0]
>
> 	I think there is a push to drop the "extern " from decls of
> 	functions in *.h header files.
>
> so are we reversing that push now?

That is certainly on the table.  Re-read what you quoted and realize
that I was not expressing my opinion on the "push"; it was just
stating that other reviewers seem to be in favor.

See my other response why I think the "push"  was a bad idea.